Skip to main content
PATCH
/
v1
/
agave
/
items
/
{id}
Update an Agave-Item
curl --request PATCH \
  --url https://api.tread-horizon.com/v1/agave/items/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "agave_itemizable_id": "<string>",
  "agave_itemizable_type": "AddOn"
}
'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "data": {
      "id": "<string>",
      "name": "<string>",
      "type": "<string>",
      "cost_unit_of_measure": "<string>",
      "price_unit_of_measure": "<string>",
      "status": "Active",
      "unit_cost": "<string>",
      "unit_price": "<string>"
    },
    "agave_itemizable": {
      "type": "AddOn",
      "name": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.tread.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.

Example:

"en"

Path Parameters

id
string<uuid>
required

Agave-Item ID

Body

application/json
agave_itemizable_id
string | null
required
agave_itemizable_type
enum<string>
required
Available options:
AddOn,
Service,
LineItemType
Example:

"AddOn"

Response

OK

data
Agave-Item-Read · object
required